# Payment Methods

This document contains all the payment methods used by New Era Caps.

Other than the commonly used Shopify payment methods, New Era Caps uses Soft Bank, Amazon Pay and Paidy.

If the payment processing is done on a redirected link, then the payment processing is not handled by Shopify so their gateway also needs to be specified.

```xml
<PaymentMethodType description="Ext Shopify Payment" paymentMethodTypeId="EXT_SHP_SHPFY_PYMT"/>

<PaymentMethodType description="Softbank Payment" paymentMethodTypeId="EXT_SHP_SFTBNK_PYMT"/>

<PaymentMethodType description="Amazon Pay" paymentMethodTypeId="EXT_SHP_AMZN_PAY"/>

<PaymentMethodType description="Paidy" paymentMethodTypeId="EXT_SHP_ PAIDY"/>
```

**Payment mapping data**

```xml

<ShopifyShopTypeMapping mappedKey="shopify_payments" mappedTypeId="SHOPIFY_PAYMENT_TYPE" mappedValue="EXT_SHP_SHPFY_PYMT" shopId="SHOP"/>

<ShopifyShopTypeMapping mappedKey="楽天ペイ - SBPS" mappedTypeId="SHOPIFY_PAYMENT_TYPE" mappedValue="EXT_SHP_SFTBNK_PYMT" shopId="SHOP"/>

<ShopifyShopTypeMapping mappedKey="Amazon Pay" mappedTypeId="SHOPIFY_PAYMENT_TYPE" mappedValue="EXT_SHP_AMZN_PAY" shopId="SHOP"/>

<ShopifyShopTypeMapping mappedKey="あと払い（ペイディ)" mappedTypeId="SHOPIFY_PAYMENT_TYPE" mappedValue="EXT_SHP_PAIDY" shopId="SHOP"/>

```

**Payments types from shopify**

| Payment Keys                   | Description           |
| ------------------------------ | --------------------- |
| shopify sbペイメント sbps           | Prepaid (Credit Card) |
| 代金引換 or cash on delivery (cod) | Cash on Delivery      |
| amazon                         | Amazon Pay            |
| paidy or ペイディ                  | Paidy                 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hotwax.co/nec/flows/sales-order/payment-methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
